// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface MeterOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.Meter)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the conductingEquipment field is set.
   */
  boolean hasConductingEquipment();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 1 [(.uml.option_parent_message) = true];</code>
   * @return The conductingEquipment.
   */
  openfmb.commonmodule.ConductingEquipment getConductingEquipment();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ConductingEquipmentOrBuilder getConductingEquipmentOrBuilder();
}
